
TYPO3.Flow - Feature # 32156

Status: Rejected Priority: Must have
Author: Peter Russ Category: Persistence
Created: 2011-11-29 Assigned To: Karsten Dambekalns
Updated: 2012-12-10 Due date:
PHP Version:
Has patch: Yes
Complexity:
Subject: No detach() for Doctrine possible, memory problem with large data sets
Description

Running huge queries (i.e. some 10k results) we found that detaching an object isn't available in FLOw3 although there is such a
method in Doctrine.
So we decided to add that to the persistence layer. This helps a lot also not completly solving problem of growing memory usage.

History
#1 - 2011-11-29 12:14 - Peter Russ
- File patch.32156.diff added

Please find patch attached

#2 - 2011-11-30 10:37 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#3 - 2011-11-30 10:38 - Karsten Dambekalns
- Category set to Persistence
- Target version changed from 1.0.2 to 1.1
- Has patch set to No

#4 - 2011-11-30 10:38 - Karsten Dambekalns
- Has patch changed from No to Yes

#5 - 2011-12-14 15:45 - Karsten Dambekalns
- Status changed from New to Accepted

#6 - 2012-05-25 09:39 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#7 - 2012-06-25 20:57 - Karsten Dambekalns
- Status changed from Accepted to Needs Feedback

Sorry this took so long. I'd rather not make this part of the PersistenceManagerInterface, as it is something specific for Doctrine. Instead it could be
part of TYPO3\FLOW3\Persistence\Doctrine\Repository - would that work for your use case?

#8 - 2012-06-25 21:00 - Karsten Dambekalns
- Subject changed from Memory problem with large data sets to No detach() for Doctrine possible, memory problem with large data sets
#9 - 2012-06-25 21:02 - Karsten Dambekalns

Karsten Dambekalns wrote:

Sorry this took so long. I'd rather not make this part of the PersistenceManagerInterface, as it is something specific for Doctrine. Instead it could be
part of TYPO3\FLOW3\Persistence\Doctrine\Repository - would that work for your use case?

Or, even less intrusive - you could just use $this->entityManager->detach() in your repositories where needed. Let me know what would work better for
you.

#10 - 2012-06-25 21:03 - Karsten Dambekalns
- Tracker changed from Bug to Feature

#11 - 2012-06-25 21:03 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 2.0 beta 1

#12 - 2012-06-25 21:04 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12362

#13 - 2012-12-10 13:05 - Karsten Dambekalns
- Status changed from Under Review to Rejected

In any Doctrine\Repository instance one can use $this->entityManager->detach().

Files
patch.32156.diff 1.3 kB 2011-11-29 Peter Russ
